Package uk.ac.starlink.topcat.contrib.gavo

## Class GavoCSVTableParser.RecursiveDescentParser

- java.lang.Object
- - uk.ac.starlink.topcat.contrib.gavo.GavoCSVTableParser.RecursiveDescentParser

- Enclosing class:
    GavoCSVTableParser

      public static class GavoCSVTableParser.RecursiveDescentParser
      extends java.lang.Object

  Recursive descent parser for parsing a single line

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RecursiveDescentParser()` | Creates a new instance of RecursiveDescentParser
    `RecursiveDescentParser​(java.lang.String line)` | Creates a new instance of RecursiveDescentParser

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDelimiter()` | Getter for property delimiter.
    `java.lang.String` | `getLine()` | Getter for property line.
    `java.util.List<java.lang.String>` | `parse()` | Parses a line previously set
    `java.util.List<java.lang.String>` | `parse​(java.lang.String line)` | Parses the given line of text
    `void` | `setDelimiter​(java.lang.String delimiter)` | Setter for property delimiter.
    `void` | `setLine​(java.lang.String line)` | Setter for property line.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RecursiveDescentParser

          public RecursiveDescentParser()

      Creates a new instance of RecursiveDescentParser

    - #### RecursiveDescentParser

          public RecursiveDescentParser​(java.lang.String line)

      Creates a new instance of RecursiveDescentParser
      Parameters:
        `line` - the line to parse

  - ### Method Detail

    - #### setDelimiter

          public void setDelimiter​(java.lang.String delimiter)

      Setter for property delimiter.
      Parameters:
        `delimiter` - New value of property delimiter.

    - #### getDelimiter

          public java.lang.String getDelimiter()

      Getter for property delimiter.
      Returns:
        Value of property delimiter.

    - #### setLine

          public void setLine​(java.lang.String line)

      Setter for property line.
      Parameters:
        `line` - New value of property line.

    - #### getLine

          public java.lang.String getLine()

      Getter for property line.
      Returns:
        Value of property line.

    - #### parse

          public java.util.List<java.lang.String> parse​(java.lang.String line)

      Parses the given line of text
      Parameters:
        `line` - a String with delimiters and double quotes
      Returns:
        a List with the parsed items

    - #### parse

          public java.util.List<java.lang.String> parse()

      Parses a line previously set
      Returns:
        a List with the parsed items
      See Also:
        `setLine(java.lang.String)`